Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Richfaces UI Components UI 4.1.0.20110910-M2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.renderkit.html.images
Class MenuNodeImage

    java.lang.Object
      org.richfaces.renderkit.html.images.MenuNodeImage

All Implemented Interfaces:
  org.richfaces.resource.Java2DUserResource, org.richfaces.resource.StateHolderResource

    public class MenuNodeImage

extends java.lang.Object
implements org.richfaces.resource.Java2DUserResource, org.richfaces.resource.StateHolderResource

Constructor Summary
`MenuNodeImage()`

Method Summary
`java.awt.Dimension` | `getDimension()`
`java.lang.Integer` | `getDisabledColor()`
`java.lang.Integer` | `getGeneralColor()`
`org.richfaces.resource.ImageType` | `getImageType()`
`java.util.Date` | `getLastModified()`
`java.util.Map<java.lang.String,java.lang.String>` | `getResponseHeaders()`
`void` | `initialize()`
`boolean` | `isTransient()`
`void` | `paint(java.awt.Graphics2D g2d)`
`void` | `readState(javax.faces.context.FacesContext context, java.io.DataInput dataInput)`
`void` | `setDisabledColor(java.lang.Integer disabledColor)`
`void` | `setGeneralColor(java.lang.Integer generalColor)`
`void` | `writeState(javax.faces.context.FacesContext context, java.io.DataOutput dataOutput)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MenuNodeImage

    public MenuNodeImage()

Method Detail

### getDisabledColor

    public java.lang.Integer getDisabledColor()

### setDisabledColor

    public void setDisabledColor(java.lang.Integer disabledColor)

### getGeneralColor

    public java.lang.Integer getGeneralColor()

### setGeneralColor

    public void setGeneralColor(java.lang.Integer generalColor)

### isTransient

    public boolean isTransient()

  Specified by:
    `isTransient` in interface `org.richfaces.resource.StateHolderResource`

### writeState

    public void writeState(javax.faces.context.FacesContext context,
                           java.io.DataOutput dataOutput)
                    throws java.io.IOException

  Specified by:
    `writeState` in interface `org.richfaces.resource.StateHolderResource`
  Throws:
    `java.io.IOException`

### readState

    public void readState(javax.faces.context.FacesContext context,
                          java.io.DataInput dataInput)
                   throws java.io.IOException

  Specified by:
    `readState` in interface `org.richfaces.resource.StateHolderResource`
  Throws:
    `java.io.IOException`

### getResponseHeaders

    public java.util.Map<java.lang.String,java.lang.String> getResponseHeaders()

  Specified by:
    `getResponseHeaders` in interface `org.richfaces.resource.Java2DUserResource`

### getLastModified

    public java.util.Date getLastModified()

  Specified by:
    `getLastModified` in interface `org.richfaces.resource.Java2DUserResource`

### getImageType

    public org.richfaces.resource.ImageType getImageType()

  Specified by:
    `getImageType` in interface `org.richfaces.resource.Java2DUserResource`

### getDimension

    public java.awt.Dimension getDimension()

  Specified by:
    `getDimension` in interface `org.richfaces.resource.Java2DUserResource`

### paint

    public void paint(java.awt.Graphics2D g2d)

  Specified by:
    `paint` in interface `org.richfaces.resource.Java2DUserResource`

### initialize

    public final void initialize()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Richfaces UI Components UI 4.1.0.20110910-M2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2011 JBoss, a division of Red Hat, Inc.. All Rights Reserved.